%define upstream_name    IO-All
%define upstream_version 0.46

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Magic all-in-one IO class
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(IO::String) >= 1.80.0
BuildArch:  noarch

%description
IO::All combines all of the best Perl IO modules into a single Spiffy object
oriented interface to greatly simplify your everyday Perl IO idioms. It exports
a single function called io, which returns a new IO::All object. And that
object can do it all!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make 

%check
%make test

%install
%{makeinstall_std}

%files
%doc Changes LICENSE META.yml MYMETA.yml README examples
%{_mandir}/man*/*
%{perl_vendorlib}/IO

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.460.0-2.mga3
+ Revision: 368435
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.460.0-1.mga3
+ Revision: 295347
- update to 0.46

* Wed Jun 06 2012 shlomif <shlomif> 0.440.0-3.mga3
+ Revision: 256253
- Bump the release

* Wed Jun 06 2012 shlomif <shlomif> 0.440.0-2.mga3
+ Revision: 256245
- Convert tabs to spaces and valid license (rpmlint fixes)
- Add the patch to fix the warnings on recent perls.

* Thu Oct 13 2011 jquelin <jquelin> 0.440.0-1.mga2
+ Revision: 154325
- update to 0.44
- update to 0.43

* Fri Jan 21 2011 jquelin <jquelin> 0.410.0-1.mga1
+ Revision: 30543
- mageia rebuild
- imported package perl-IO-All

